## H2O Wave

<img width='50%' src="assets/brand/wave-type-yellow.png" alt="Wave logo">

<p>
  <img alt="PyPI - Downloads" src="https://img.shields.io/pypi/dm/h2o-wave?color=FBE52B">
  <img alt="License" src="https://img.shields.io/github/license/h2oai/wave?color=yellow">
  <img alt="Discourse topics" src="https://img.shields.io/discourse/topics?server=https%3A%2F%2Fh2owave.h2o.ai%2F">
  <img alt="PyPI" src="https://img.shields.io/pypi/v/h2o-wave?label=current-version">
  <img alt="Twitter Follow" src="https://img.shields.io/twitter/follow/h2o_wave">
</p>
<p>
  <img alt="PyPI - Python Version" src="https://img.shields.io/pypi/pyversions/h2o-wave?color=3677AF">
  <img alt="Go version" src="https://img.shields.io/static/v1?label=golang&message=1.13.10&color=70C8D6">
  <img alt="Node version" src="https://img.shields.io/static/v1?label=nodejs&message=14.4.0&color=73AB63">
</p>

### Realtime Web Apps and Dashboards for Python

H2O Wave is a software stack for building beautiful, low-latency, realtime, browser-based applications and dashboards entirely in Python without using HTML, Javascript, or CSS.

H2O Wave excels at capturing information from multiple sources and broadcasting them live over the web, letting you build and deploy realtime analytics with dramatically less effort.

- Install: https://h2oai.github.io/wave/docs/installation/
- Documentation: https://h2oai.github.io/wave/
  - Get Started: https://h2oai.github.io/wave/docs/getting-started/
  - Gallery and Examples: https://h2oai.github.io/wave/docs/examples/
  - Python API: https://h2oai.github.io/wave/docs/api/index/
- Releases: https://github.com/h2oai/wave/releases
- Python Package: https://pypi.org/project/h2o-wave/
- Blog: https://h2oai.github.io/wave/blog/
- Twitter: https://twitter.com/h2o_wave
- Discuss: https://h2owave.h2o.ai/

---

:warning: **H2O Wave is pre-alpha.** The software is not yet stable enough for production use and has known security issues.

---

### Responsive Layouts

![Dashboard](website/blog/assets/2021-01-17/dashboards.png)

![Dashboard](website/blog/assets/2021-01-17/dashboard_red.png)

![Dashboard](website/blog/assets/2021-01-17/dashboard_blue.png)

![Dashboard](website/blog/assets/2021-01-17/dashboard_orange.png)

![Dashboard](website/blog/assets/2021-01-17/dashboard_cyan.png)

![Dashboard](website/blog/assets/2021-01-17/dashboard_mint.png)

![Dashboard](website/blog/assets/2021-01-17/dashboard_purple.png)

Code: https://github.com/h2oai/wave/tree/master/py/demo

### Themes

(Coming soon!)

![Light Theme](assets/visuals/theme-light.png)

![Dark Theme](assets/visuals/theme-dark.png)

![Neon Theme](assets/visuals/theme-neon.png)

### 80+ components, 175+ examples

More at https://h2oai.github.io/wave/docs/examples

![Components](assets/visuals/components-1.png)

![Visualizations](assets/visuals/components-2.png)

### License

H2O Wave is licensed under the Apache License 2.0. See [LICENSE](LICENSE) for more information.